%define		qtver	5.12.1
Summary:	A keyboard-driven, vim-like browser based on PyQt5
Name:		qutebrowser
Version:	2.3.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://github.com/qutebrowser/qutebrowser/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	337e6aff77f7e93ebd063709e13cd47b
URL:		https://www.qutebrowser.org/
BuildRequires:	asciidoc
BuildRequires:	python3 >= 1:3.6.1
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Gui >= %{qtver}
Requires:	Qt5Network >= %{qtver}
Requires:	Qt5OpenGL >= %{qtver}
Requires:	Qt5PrintSupport >= %{qtver}
Requires:	Qt5Qml >= %{qtver}
Requires:	Qt5Sql >= %{qtver}
Requires:	Qt5Sql-sqldriver-sqlite3 >= %{qtver}
Requires:	Qt5WebEngine >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	bash
Requires:	hicolor-icon-theme
Requires:	python3 >= 1:3.6.1
Requires:	python3-PyQt5 >= 5.12.0
Requires:	python3-PyQtWebEngine
Requires:	python3-PyYAML
Requires:	python3-jinja2
Suggests:	python3-adblock
Suggests:	python3-pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qutebrowser is a keyboard-focused browser with a minimal GUI. It’s
based on Python, PyQt5 and QtWebEngine and free software, licensed
under the GPL. It was inspired by other browsers/addons like dwb and
Vimperator/Pentadactyl.

%package userscripts
Summary:	User scripts for qutebrowser
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description userscripts
User scripts for qutebrowser.

%prep
%setup -q

grep -r '#!.*env bash' -l . | xargs %{__sed} -i -e '1 s,#!.*env bash.*,#!/bin/bash,'
grep -r '#!.*env python' -l . | xargs %{__sed} -i -e '1 s,#!.*env python.*,#!%{__python3},'
grep -r '#!.*env node' -l . | xargs %{__sed} -i -e '1 s,#!.*env node.*,#!/usr/bin/node,'

%build
%py3_build

%{__python3} scripts/asciidoc2html.py

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__make} -f misc/Makefile install PYTHON=/bin/true DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.asciidoc
%attr(755,root,root) %{_bindir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser-%{version}-py*.egg-info
%{_desktopdir}/org.qutebrowser.qutebrowser.desktop
%{_iconsdir}/hicolor/*x*/apps/qutebrowser.png
%{_iconsdir}/hicolor/scalable/apps/qutebrowser.svg
%{_mandir}/man1/qutebrowser.1*
%{_datadir}/metainfo/org.qutebrowser.qutebrowser.appdata.xml
%dir %{_datadir}/qutebrowser
%dir %{_datadir}/qutebrowser/scripts
%{_datadir}/qutebrowser/scripts/*.js
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.py
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.sh

%files userscripts
%defattr(644,root,root,755)
%dir %{_datadir}/qutebrowser/userscripts
%attr(755,root,root) %{_datadir}/qutebrowser/userscripts/*
%changelog
* Wed Jul 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qutebrowser.git;a=log;h=master

* Wed Jul 28 2021 Jan Palus <atler@pld-linux.org> e67c25a
- up to 2.3.1

* Mon Jun 28 2021 Jan Palus <atler@pld-linux.org> 4fc11f5
- up to 2.3.0

* Wed Jun 02 2021 Jan Palus <atler@pld-linux.org> ca9f84f
- up to 2.2.3

* Thu May 20 2021 Jan Palus <atler@pld-linux.org> a0687df
- up to 2.2.2

* Thu Apr 29 2021 Jan Palus <atler@pld-linux.org> 25aeaaa
- up to 2.2.1

* Wed Apr 14 2021 Jan Palus <atler@pld-linux.org> 0744eae
- S: python3-adblock; rel 2

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 79decda
- up to 2.2.0

* Thu Apr 01 2021 Jan Palus <atler@pld-linux.org> 20ff0d1
- up to 2.1.1

* Fri Mar 12 2021 Jan Palus <atler@pld-linux.org> 2f66f9d
- up to 2.1.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> bef36fd
- release 2 (by relup.sh)

* Thu Feb 04 2021 Jan Palus <atler@pld-linux.org> a8e781e
- up to 2.0.2

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> bcd0837
- up to 2.0.1

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> d8ee1b3
- up to 2.0.0

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> bd2c44c
- up to 1.14.1

* Thu Oct 15 2020 Jan Palus <atler@pld-linux.org> 2d81f36
- up to 1.14.0

* Fri Jul 17 2020 Jan Palus <atler@pld-linux.org> fa61bde
- up to 1.13.1

* Fri Jun 26 2020 Jan Palus <atler@pld-linux.org> 4c6a84a
- up to 1.13.0

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> 9f38274
- up to 1.12.0

* Thu May 07 2020 Jan Palus <atler@pld-linux.org> 630cd96
- up to 1.11.1 (fixes CVE-2020-11054)

* Sun May 03 2020 Jan Palus <atler@pld-linux.org> 6663324
- R: python3-PyQtWebEngine

